title: Optical Character Recognition
type: community
group: Computer Vision
image: /static/templates/optical-character-recognition.png
details: |
  <h1>Draw a bounding box or polygon around region and write down the text found inside</h1>
  <dl>
    <dt>Industry Applications</dt>
    <dd>document digitization, invoice processing, receipt scanning, license plate recognition, banking automation, insurance claims, form processing, passport scanning, historical document preservation, library digitization, legal discovery, medical records</dd>
    <dt>Associated Models</dt>
    <dd>Tesseract, PaddleOCR, EasyOCR, TrOCR, CRAFT, DBNet</dd>
    <dt>Domain Terminology</dt>
    <dd>text detection, text recognition, handwriting recognition, document understanding</dd>
  </dl>
config: |
  <View>
    <Image name="image" value="$ocr"/>

    <Labels name="label" toName="image">
      <Label value="Text" background="green"/>
      <Label value="Handwriting" background="blue"/>
    </Labels>

    <Rectangle name="bbox" toName="image" strokeWidth="3"/>
    <Polygon name="poly" toName="image" strokeWidth="3"/>

    <TextArea name="transcription" toName="image"
              editable="true"
              perRegion="true"
              required="true"
              maxSubmissions="1"
              rows="5"
              placeholder="Recognized Text"
              displayMode="region-list"
              />
  </View>
